#pragma once

#include "Array.h"
#include "Datei.h"
#include "ReferenceCounter.h"
#include "Vec3.h"

namespace Framework
{
    class Model3DData;

    class ObjFile : public ReferenceCounter
    {
    private:
        Datei file;
        RCArray<Text> objectNames;

        Vec3<int> parseIndex(Text* s);
        void readModel(Model3DData* zTarget);

    public:
        DLLEXPORT ObjFile(const char* path);
        DLLEXPORT bool loadModel(const char* name, Model3DData* zTarget);
        DLLEXPORT const RCArray<Text>& getContainedModelNames() const;
    };
} // namespace Framework